Skip to content

What versions of Excel are supported?

Many of our tools are Excel Add-ins that require Excel.

The tools are supported under various versions of Excel, from Excel 2000 – 2016 for Windows.

Tools that are supposed on the Mac will work only when sing Excel 2011.  Excel 2016 on the Mac cannot properly host add-ins.

Each of the tools’ home pages indicates the supported versions of Excel in the Compatibility box.